API ReferenceUsers
Retrieve all user credentials data
GET
/v1/users/{userId}/credentialsReturns metadata for all the credentials issued to the provided userId.
Roles
adminissuermanaged-issuer
Analytics Events
USER_CREDENTIAL_RETRIEVE_LIST_STARTUSER_CREDENTIAL_RETRIEVE_LIST_SUCCESSUSER_CREDENTIAL_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
userId*string
User ID
Format
uuidQuery Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"{ "data": [ { "id": "string", "type": "string", "profile": "mobile", "offerId": "string", "sessionId": "string", "credentialConfigurationId": "string", "devicePublicKey": { "kty": "string", "crv": "string", "x": "string" }, "namespaces": {}, "msoHash": "string", "issuedDate": "2019-08-24T14:15:22Z", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "status": "valid" } ], "nextCursor": "string"}How would you rate this page?
Search users POST
Returns a list of users from the tenant that match all the provided search criteria (all criteria are optional).
Sign a CWT credential POST
Returns a signed CWT credential generated from a provided valid payload. The payload can include any number of custom claims, as CWT credentials do not comply with any specific standard or specification.